Arch Remove/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "L'outil {{KEY|16px|Supprimer|link=Arch_Remove/fr Supprimer}} peut être utilisé dans une macro, ou dans la console...")
(Updating to match new version of source page)
Line 24: Line 24:
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.
Example:
Example:
{{Code|code=
<syntaxhighlight>
import FreeCAD, Arch, Draft, Part
import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)
Arch.addComponents(box,wall)
Arch.removeComponents(box)
Arch.removeComponents(box)
}}
</syntaxhighlight>
<languages/>
<languages/>

Revision as of 18:04, 30 December 2014

Arch Soustraire

Emplacement du menu
Arch -> Remove
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Ajout

Description

L'outil Supprimer vous permet de faire 2 types d'opérations:

  • Supprimer une portion d'un objet Arch, par exemple supprimer une boîte qui a été ajoutée à un mur , comme dans l'exemple Arch ajouter .
  • Soustraire une forme (shape) d'un objet de base, à partir d'une composante Arch tel qu'un mur ou, une structure .

Dans l'image ci-dessus, une boîte est soustraite d'une paroi.

Utilisation

  1. Sélectionnez le composant d'un objet Arch, ou :
  2. Sélectionnez l'objet ou les objets qui doivent être soustrait (boîte), puis l'élément hôte (mur) à partir de duquel ils doivent être soustraits (l'objet hôte (ici le mur), doit toujours être le dernier objet sélectionné).
  3. Appuyez sur le bouton Supprimer Supprimer

Script

L'outil Supprimer Supprimer peut être utilisé dans une macro, ou dans la console Python en utilisant la fonction :

removeComponents (objectsList,[hostObject])
  • removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)
Arch.removeComponents(box)